////////////////////////////////////////////////////////////////////////////////
//
//  ct_text.h   text output to graphics window
//
/////////////////////////////////////////////////////////////////////////////////

#ifndef CT_TEXT_H
#define CT_TEXT_H 

// notice that the text is drawn in a rectangle of the background color,
// and interferes with graphics 

#include "ct_windows.h"
#include <string>          // required for string

void ShowString( const std::string& s ){
    HDC dc1 = GetDC( hGraphicWindowHandle );
    
    TextOut( dc1, currentPenPointX, currentPenPointY, s.c_str(), s.length() );
       
    ReleaseDC( hGraphicWindowHandle , dc1 );
}

#endif  // CT_TEXT_H

